ON_SerialNumberMap Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_lookup.h>`

## Classes

struct | MAP_VALUE
struct | SN_ELEMENT

## Public Member Functions

| ON_SerialNumberMap (ON_MEMORY_POOL *pool=0)
| ~ON_SerialNumberMap ()
size_t | ActiveSerialNumberCount () const
size_t | ActiveIdCount () const
struct SN_ELEMENT * | FirstElement () const
struct SN_ELEMENT * | LastElement () const
struct SN_ELEMENT * | FindSerialNumber (unsigned int sn) const
struct SN_ELEMENT * | FindId (ON_UUID) const
struct SN_ELEMENT * | AddSerialNumber (unsigned int sn)
struct SN_ELEMENT * | AddSerialNumberAndId (unsigned int sn, ON_UUID id)
struct SN_ELEMENT * | RemoveSerialNumberAndId (unsigned int sn)
struct SN_ELEMENT * | RemoveId (unsigned int sn, ON_UUID id)
size_t | GetElements (unsigned int sn0, unsigned int sn1, size_t max_count, ON_SimpleArray< SN_ELEMENT > &elements) const
void | EmptyList ()
bool | IsValid (ON_TextLog *textlog) const
void | Dump (ON_TextLog &text_log) const

## Detailed Description

Definition at line 33 of file opennurbs_lookup.h.

## Constructor & Destructor Documentation

## ON_SerialNumberMap()

ON_SerialNumberMap::ON_SerialNumberMap | ( | ON_MEMORY_POOL * | pool = `0` | ) |

## ~ON_SerialNumberMap()

ON_SerialNumberMap::~ON_SerialNumberMap | ( |  | ) |

## Member Function Documentation

## ActiveIdCount()

size_t ON_SerialNumberMap::ActiveIdCount | ( |  | ) | const

## ActiveSerialNumberCount()

size_t ON_SerialNumberMap::ActiveSerialNumberCount | ( |  | ) | const

## AddSerialNumber()

struct SN_ELEMENT* ON_SerialNumberMap::AddSerialNumber | ( | unsigned int | sn | ) |

## AddSerialNumberAndId()

struct SN_ELEMENT* ON_SerialNumberMap::AddSerialNumberAndId | ( | unsigned int | sn,
|  | ON_UUID | id
| ) |  |

## Dump()

void ON_SerialNumberMap::Dump | ( | ON_TextLog & | text_log | ) | const

## EmptyList()

void ON_SerialNumberMap::EmptyList | ( |  | ) |

## FindId()

struct SN_ELEMENT* ON_SerialNumberMap::FindId | ( | ON_UUID |  | ) | const

## FindSerialNumber()

struct SN_ELEMENT* ON_SerialNumberMap::FindSerialNumber | ( | unsigned int | sn | ) | const

## FirstElement()

struct SN_ELEMENT* ON_SerialNumberMap::FirstElement | ( |  | ) | const

## GetElements()

size_t ON_SerialNumberMap::GetElements | ( | unsigned int | sn0,
|  | unsigned int | sn1,
|  | size_t | max_count,
|  | ON_SimpleArray< SN_ELEMENT > & | elements
| ) |  | const

## IsValid()

bool ON_SerialNumberMap::IsValid | ( | ON_TextLog * | textlog | ) | const

## LastElement()

struct SN_ELEMENT* ON_SerialNumberMap::LastElement | ( |  | ) | const

## RemoveId()

struct SN_ELEMENT* ON_SerialNumberMap::RemoveId | ( | unsigned int | sn,
|  | ON_UUID | id
| ) |  |

## RemoveSerialNumberAndId()

struct SN_ELEMENT* ON_SerialNumberMap::RemoveSerialNumberAndId | ( | unsigned int | sn | ) |

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_lookup.h